JMXGetTask (Tomcat API Documentation)
Keywords: org.apache.catalina.ant.JMXGetTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ant
Class JMXGetTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.catalina.ant.BaseRedirectorHelperTask
                  org.apache.catalina.ant.AbstractCatalinaTask
                      org.apache.catalina.ant.JMXGetTask

All Implemented Interfaces:
  java.lang.Cloneable

    public class JMXGetTask

extends AbstractCatalinaTask

Ant task that implements the JMX Get command (`/jmxproxy/?get`) supported by the Tomcat manager application.

Version:
  $Revision: 467222 $
Author:
  Peter Rossbach

Field Summary
`protected java.lang.String` | `attribute` The attribute you wish to alter
`protected java.lang.String` | `bean` The full bean name

Fields inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`charset, password, url, username`

Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`JMXGetTask()`

Method Summary
`void` | `execute()` Execute the requested operation.
`java.lang.String` | `getAttribute()` Get method for the attribute name
`java.lang.String` | `getBean()` Get method for the bean name
`void` | `setAttribute(java.lang.String attribute)` Set method for the attribute name
`void` | `setBean(java.lang.String bean)` Set method for the bean name

Methods inherited from class org.apache.catalina.ant.AbstractCatalinaTask
`execute, execute, getCharset, getPassword, getUrl, getUsername, setCharset, setPassword, setUrl, setUsername`

Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask
`addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bean

    protected java.lang.String bean

  The full bean name

### attribute

    protected java.lang.String attribute

  The attribute you wish to alter

Constructor Detail

### JMXGetTask

    public JMXGetTask()

Method Detail

### getBean

    public java.lang.String getBean()

  Get method for the bean name

  Returns:
    Bean name

### setBean

    public void setBean(java.lang.String bean)

  Set method for the bean name

  Parameters:
    `bean` - Bean name

### getAttribute

    public java.lang.String getAttribute()

  Get method for the attribute name

  Returns:
    Attribute name

### setAttribute

    public void setAttribute(java.lang.String attribute)

  Set method for the attribute name

  Parameters:
    `attribute` - Attribute name

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Execute the requested operation.

  Overrides:
    `execute` in class `AbstractCatalinaTask`
  Throws:
    `org.apache.tools.ant.BuildException` - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.